<id>
Custom User Titles V1.2 for YaBB 2.6.0
</id>

<version>
1.2
</version>

<mod info>
Allows Administrators and Global Moderators (if allowed) to add Custom User Titles to Members

Version History
1.0 - First release by Derek Barnstorm - 6th December 2008
1.1 - Updated for YaBB 2.4 - 14th April 2009
1.2 - Updated for YaBB 2.6.0 by Dandello - July 1, 2014

Files to edit
Admin/ModList.pm
Languages/English/Profile.lng
Sources/Display.pm
Sources/Load.pm
Sources/MyCenter.pm
Sources/Profile.pm
Sources/System.pm
Templates/default/MyProfile.template

Credits
There was a version of this Mod for YaBB 1. I believe the original author was Godai, and it was also updated by rehlbe and mats.
</mod info>

<author>
Derek Barnstorm, updated for 2.6.0 by Dandello
</author>

<homepage>
http://yabbforumsoftware.com
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
    $mod_cutitle = "Custom User Titles V1.2|Derek Barnstorm, updated for 2.6.0 by Dandello|Allows Administrators and Global Moderators (if allowed) to add Custom User Titles to Members|1.2|1st July 2014";
    push (@installed_mods, "$mod_cutitle");
</add before>

<edit file>
Languages/English/Profile.lng
</edit file>

<search for>
'233' => 'Date Registered',
</search for>

<add before>
'cut' => 'Custom User Title',
</add before>

<edit file>
Sources/Display.pm
</edit file>

<search for>
            $memberinfo = "$memberinfo{$musername}$addmembergroup{$musername}";
</search for>

<replace>
            $memberinfo = "$memberinfo{$musername}${$uid.$musername}{'cutitle'}$addmembergroup{$musername}";
</replace>

<edit file>
Sources/Load.pm
</edit file>

<search for>
    }
    else {
        ${ $uid . $user }{'gender'} = q{};
    }
</search for>

<add after>

    if ( ${ $uid . $user }{'cutitle'} ) {
        ${ $uid . $user }{'cutitle'} = ${ $uid . $user }{'cutitle'} ? qq~<br /><span style="color: ${ $uid . $user }{'cutitlecol'}; font-size: 10px; font-weight: bold;">${ $uid . $user }{'cutitle'}</span>~ : q{};
    }
    else {
        ${ $uid . $user }{'cutitle'} = q{};
    }
</add after>

<edit file>
Sources/MyCenter.pm
</edit file>

<search for>
        my $memberinfo = "$memberinfo{$username}$addmembergroup{$username}";
</search for>

<replace>
        my $memberinfo = "$memberinfo{$username}${$uid.$username}{'cutitle'}$addmembergroup{$username}";
</replace>

<edit file>
Sources/Profile.pm
</edit file>

<search for>
    ${ $uid . $user }{'addgroups'} = $member{'addgroup'};
</search for>

<add after>
    ${ $uid . $user }{'cutitle'} = $member{'cutitle'};
    ${ $uid . $user }{'cutitlecol'} = $member{'cutitlecol'};
</add after>

<search for>
        $my_tta =~ s/{yabb tta}/$tta/sm;
    }
</search for>

<add after>

    $my_cutitle = $myprofile_cutitle;
    $my_cutitle =~ s/{yabb mycutitle}/${ $uid . $user }{'cutitle'}/gsm;
    $my_cutitle =~ s/{yabb cutitlcol}/${ $uid . $user }{'cutitlecol'}/gsm;

</add after>

<search for>
        $pic_row = qq~<div class="picrow">
                        $pic
                        </div>~;
    }
</search for>

<add after>

    if (${ $uid . $user }{'cutitle'}) {
        $row_cutitle .= qq~<span style="color: ${ $uid . $user }{'cutitlecol'}; font-weight: bold;">${ $uid . $user }{'cutitle'}</span><br />~;
    }

</add after>

<search for>
    $showProfile =~ s/{yabb my_tta}/$my_tta/sm;
</search for>

<add after>
    $showProfile =~ s/{yabb my_cutitle}/$my_cutitle/sm;
</add after>

<search for>
    $showProfile =~ s/{yabb col_title_user}/$col_title{$user}/sm;
</search for>

<add after>
    $showProfile =~ s/{yabb row_cutitle}/$row_cutitle/sm;
 </add after>

<edit file>
Sources/System.pm
</edit file>

<search for>
    fopen( UPDATEUSER, ">$memberdir/$user.$userext", 1 )
</search for>

<add before>
    push(@tags, 'cutitle', 'cutitlecol');
</add before>

<edit file>
Templates/default/MyProfile.template
</edit file>

<search for>
    </tr>{yabb my_tta}~;
</search for>

<replace>
    </tr>{yabb my_tta}
    {yabb my_cutitle}~;
</replace>

<search for>
            <select name="addgroup" id="addgroup" size="{yabb selsize}" multiple="multiple">
                {yabb tta}
            </select>
        </td>
    </tr>~;
</search for>

<add after>

$myprofile_cutitle = qq~<tr class="windowbg">
        <td><label for="cutitle"><b>$profile_txt{'cut'}:</b></label></td>
        <td><input type="text" maxlength="100" name="cutitle" id="cutitle" size="30" value="{yabb mycutitle}" /> <span id="cutitlecol2" style="background-color: {yabb cutitlcol}">&nbsp; &nbsp; &nbsp;</span> <input type="text" size="7" maxlength="7" name="cutitlecol" value="{yabb cutitlcol}" onkeyup="previewColor(this.value);" /> <img src="$imagesdir/palette1.gif" style="cursor: pointer;" onclick="window.open('$scripturl?action=palette;task=templ', '', 'height=308,width=302,menubar=no,toolbar=no,scrollbars=no')" alt="" />
            <script type="text/javascript">
             function previewColor(color) {
                document.getElementById('cutitlecol2').style.background = color;
                document.getElementsByName("cutitlecol")[0].value = color;
            }
            </script>
        </td>
     </tr>~;
</add after>

<search for>
            {yabb col_title_user}<br />
</search for>

<add after>
            {yabb row_cutitle}
</add after>